jQuery(document).ready(function () {
    var favBgColor, favTextColor;

    favBgColor = jQuery('#fav_bg_color');
    favTextColor = jQuery('#fav_text_color');

    favBgColor.colpick({
        layout: 'hex',
        submit: 0,
        colorScheme: 'dark',
        onChange: function (hsb, hex, rgb, fromSetColor) {
            if (!fromSetColor) favBgColor.val('#' + hex).css('border-color', '#' + hex);
        }
    })
        .keyup(function () {
            jQuery(this).colpickSetColor(this.value);
        });

    favTextColor.colpick({
        layout: 'hex',
        submit: 0,
        colorScheme: 'dark',
        onChange: function (hsb, hex, rgb, fromSetColor) {
            if (!fromSetColor) favTextColor.val('#' + hex).css('border-color', '#' + hex);
        }
    })
        .keyup(function () {
            jQuery(this).colpickSetColor(this.value);
        });

    favBgColor.css('border-color', favBgColor.val());
    favTextColor.css('border-color', favTextColor.val());
});