jQuery(document).ready(function () {
    var favicon = new Favico({
        animation: wp_favicon.fav_animation,
        position: wp_favicon.fav_position,
        type: wp_favicon.fav_shape,
        bgColor: wp_favicon.fav_bg_color,
        textColor: wp_favicon.fav_text_color
    });

    var ajax_call = function () {
        jQuery.ajax({
            type: "GET",
            dataType: 'json',
            data: {
                'action': 'ajax_favicon',
                'fn': 'get_ajax_favicon'
            },
            url: wp_favicon.ajaxurl
        }).done(function (data) {
                jQuery.each(data, function (i, cnt) {
                    favicon.badge(cnt.total);
                });
            });
    };

    ajax_call();

    var interval = 1000 * 60 * wp_favicon.fav_badge_update;

    setInterval(ajax_call, interval);
});

