<?php

class AjaxFavicon
{

    public function __construct()
    {
        $this->totalFavs();
    }

    public function totalFavs()
    {
        global $wpdb;

        $query = $wpdb->get_row(
            $wpdb->prepare("SELECT * FROM " . FAV_TABLE_NAME_VISITS . " WHERE unique_key = '%s'", FAV_COOKIE_KEY)
        );

        $key_id = $query->id;
        $last_visit_date = $query->last_visit;

        //Check if visitor has unread posts
        $unread_posts_check = $wpdb->get_col(
            $wpdb->prepare("SELECT post_id FROM " . FAV_TABLE_NAME_UNREAD . " WHERE key_id = '%d'", $key_id)
        );

        //Check if there is a published post meanwhile
        $new_posts_check = $wpdb->get_col(
            $wpdb->prepare(
                "" . "SELECT ID FROM $wpdb->posts WHERE post_status = '%s' AND post_type = '%s' AND post_date_gmt > '%s' AND post_date_gmt > '%s'",
                'publish',
                'post',
                $last_visit_date,
                FAV_DETECT_FROM_DATE
            )
        );

        //Merge new and unread posts
        $unread_posts = array_merge((array)$unread_posts_check, (array)$new_posts_check);
        $all_unread_posts = array_unique($unread_posts);

        $total = count($all_unread_posts);

        return $total;
    }

    public function countFavs()
    {
        $result = array(array('total' => $this->totalFavs()));

        return $result;
    }

    public function ajaxFavicon()
    {
        if (isset($_GET['fn']) && 'get_ajax_favicon' == $_GET['fn']) {
            header("Content-type: application/json");
            echo json_encode($this->countFavs());
        }
        die();
    }
}